<?php

namespace App\Controller;

use App\GreetingGenerator;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;

class DefaultController extends AbstractController {

  public function index() {
    return new Response("Hello");
  }

  public function hello($name, GreetingGenerator $generator) {
    $greeting = $generator->getRandomGreeting();
    return new Response("$greeting $name");
  }

  public function helloJson($name) {
    return $this->json([
      'name' => $name,
    ]);
  }
}

